body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    background: #2c3e50;
}

/* MAIN LAYOUT */
.cv-container {
    display: grid;
    grid-template-columns: 300px 1fr;
    max-width: 1200px;
    margin: 30px auto;
    background: #fff;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

/* SIDEBAR */
.sidebar {
    background: #2c3e50;
    color: #fff;
    padding: 25px;
}

.profile-pic-border {
    width: 158px;
    height: 158px;
    margin: 0 auto 20px;
    border-radius: 50%;
    background: linear-gradient(135deg, #3bd882, #1f3b57);
    padding: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.profile-pic {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    overflow: hidden;  
}

.profile-pic img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.profile-pic-border:hover
{
    box-shadow: 0 0 12px #3bd882;
    transition: 0.3s ease;
}


.nameF {
    text-align: center;
    margin: 15px 0;
    font-size: 2em;
    letter-spacing: 1px;
}
    
.nameL {
    text-align: center;
    margin: 15px 0;
    font-size: 1.8em;
    letter-spacing: 1px;
}

.contact-list
{
    margin: 6px 0;
    font-size: 0.9em;
}

.contact-list li
{
    margin: 10px 0;
    font-size: 0.95em;
    display: flex;
    align-items: center;
    gap: 8px;
}

.contact-list i
{
    color: #3bd882;
    font-size: 1.1em;
}

.contact-list a
{
    color: #fff;
    text-decoration: none;
}

.contact-list a:hover
{
    text-decoration: underline;
}

.download-btn 
{
    display: inline-block;
    text-align: center;
    background: #17212b;
    color: #fff;
    padding: 10px 15px;
    margin: 10px 0 0 50px;
    border-radius: 5px;
    text-decoration: none;
}

.download-btn:hover 
{
    background: #3bd882;
    color: #292828;
    cursor: pointer;
}

.headline {
    text-align: left;
    font-size: 0.9em;
    margin-bottom: 25px;
    color: #e0e0e0;
    background: #17212b;
    padding: 10px;
    line-height: 1.4;
}

.sidebar h2 {
    margin-top: 35px;
    border-bottom: 1px solid #aaa;
    padding-bottom: 5px;
}

.sidebar h2 i {
    margin-right: 8px;
    color: #3bd882;
}

.skills-list span {
    display: inline-block;
    background: #34495e;
    padding: 6px 10px;
    margin: 4px 0;
    border-radius: 8px;
    font-size: 0.85em;
}

.skills-list span:hover
{
    background: #3bd882;
    color: #000;
    transition: .2s;
    cursor: default;
}

/* HARD SKILLS */
.hard-skills span {
    background: #1d3b57;
    border-left: 4px solid #3bd882;
}
.hard-skills span:hover
{
    background: #3bd882;
    color: #000;
    transition: .2s;
    cursor: default;
}

/* SOFT SKILLS */
.soft-skills span {
    background: #2e4d2e;
    border-left: 4px solid #3bd882;
}

.soft-skills span:hover
{
    background: #3bd882;
    color: #000;
    transition: .2s;
    cursor: default;
}

.cert-list li {
    margin: 6px 0;
    font-size: 0.9em;
}

/* MAIN CONTENT */
.main-content {
    padding: 30px;
    animation: fadeIn 1.2s ease;
}

.main-content p
{
    max-width: 800px;
}

h2 {
    border-bottom: 2px solid #ddd;
    padding-bottom: 5px;
}

.job {
    margin-bottom: 30px;
}

.job-title {
    font-weight: bold;
    font-size: 1.1em;
}

.job-dates {
    color: #555;
    font-size: 0.9em;
    margin-bottom: 5px;
}

.job-description
{
    text-align: justify;
    font-size: 0.95em;
    
}

.skills-used
{
    text-align: justify;
    font-size: 0.95em;
}

ul {
    margin-left: 5px;
}

.projects-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 215px;
    /* margin-top: 20px; */
}

.project-card {
    background: #f0f0f0;
    padding: 20px;
    border-radius: 8px;
    text-align: center;
}

@media print 
{
    .sidebar
    {
        background: #fff;
        color: #000;
    }
    .download-btn
    {
        display: none;
    }
}

/* Education */
.education-item 
{
    margin-bottom: 25px;
}

.edu-title 
{
    font-weight: bold;
    font-size: 1.1em;
}

.edu-dates 
{
    color: #555;
    font-size: 0.9em;
    margin-bottom: 10px;
}

.edu-table 
{
    width: 100%;
    border-collapse: collapse;
    margin-top: 10px;
}

.edu-table th
{
    padding-bottom: 6px;
    text-align: left;
    font-weight: bold;
    color: #333;
    font-size: 0.95em;
}

.edu-table td
{
    padding: 6px 0;
    text-align: left;
    font-size: 0.95em;
    color: #444;
}

.edu-table td:last-child,
.edu-table th:last-child
{
    text-align: right;
}


.edu-table tr:not(:last-child) td 
{
    border-bottom: 1px solid #eee;
}

.edu-table tr:hover td 
{
    background: #f7f7f7;
    transition: 0.2s;
}

.footer {
    text-align: center;
    padding: 15px;
    background: #17212b;
    color: #ccc;
    font-size: 0.85em;
}

/* animation */


#lastUpdated 
{
    animation: fadeIn 1.5s ease;
}

@keyframes fadeIn {
    from { opacity: 0; transform: translateY(10px); }
    to { opacity: 1; transform: translateY(0); }
}